CURLOPT_SSH_KEYDATA(3)

NAME
CURLOPT_SSH_KEYDATA - pointer to pass to the SSH key callback

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_SSH_KEYDATA, void *pointer);

DESCRIPTION
Pass a void * as parameter. This pointer will be passed along verbatim to the callback set with CURLOPT_SSH_KEYFUNCTION(3).

DEFAULT
NULL

PROTOCOLS
SFTP and SCP

EXAMPLE
TODO

AVAILABILITY
Added in 7.19.6

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_SSH_KEYDATA(3), CURLOPT_SSH_KNOWNHOSTS(3),